<?php

$animal_pet_store_tp_theme_css = '';

//theme-color
$animal_pet_store_tp_color_option = get_theme_mod('animal_pet_store_tp_color_option');

// 1st color
$animal_pet_store_tp_color_option = get_theme_mod('animal_pet_store_tp_color_option', '#7e4c4f');
if ($animal_pet_store_tp_color_option) {
	$animal_pet_store_tp_theme_css .= ':root {';
	$animal_pet_store_tp_theme_css .= '--color-primary1: ' . esc_attr($animal_pet_store_tp_color_option) . ';';
	$animal_pet_store_tp_theme_css .= '}';
}

//preloader
$animal_pet_store_tp_preloader_color1_option = get_theme_mod('animal_pet_store_tp_preloader_color1_option');
$animal_pet_store_tp_preloader_color2_option = get_theme_mod('animal_pet_store_tp_preloader_color2_option');
$animal_pet_store_tp_preloader_bg_color_option = get_theme_mod('animal_pet_store_tp_preloader_bg_color_option');

if($animal_pet_store_tp_preloader_color1_option != false){
$animal_pet_store_tp_theme_css .='.center1{';
	$animal_pet_store_tp_theme_css .='border-color: '.esc_attr($animal_pet_store_tp_preloader_color1_option).' !important;';
$animal_pet_store_tp_theme_css .='}';
}
if($animal_pet_store_tp_preloader_color1_option != false){
$animal_pet_store_tp_theme_css .='.center1 .ring::before{';
	$animal_pet_store_tp_theme_css .='background: '.esc_attr($animal_pet_store_tp_preloader_color1_option).' !important;';
$animal_pet_store_tp_theme_css .='}';
}
if($animal_pet_store_tp_preloader_color2_option != false){
$animal_pet_store_tp_theme_css .='.center2{';
	$animal_pet_store_tp_theme_css .='border-color: '.esc_attr($animal_pet_store_tp_preloader_color2_option).' !important;';
$animal_pet_store_tp_theme_css .='}';
}
if($animal_pet_store_tp_preloader_color2_option != false){
$animal_pet_store_tp_theme_css .='.center2 .ring::before{';
	$animal_pet_store_tp_theme_css .='background: '.esc_attr($animal_pet_store_tp_preloader_color2_option).' !important;';
$animal_pet_store_tp_theme_css .='}';
}
if($animal_pet_store_tp_preloader_bg_color_option != false){
$animal_pet_store_tp_theme_css .='.loader{';
	$animal_pet_store_tp_theme_css .='background: '.esc_attr($animal_pet_store_tp_preloader_bg_color_option).';';
$animal_pet_store_tp_theme_css .='}';
}

// footer-bg-color
$animal_pet_store_tp_footer_bg_color_option = get_theme_mod('animal_pet_store_tp_footer_bg_color_option');

if($animal_pet_store_tp_footer_bg_color_option != false){
$animal_pet_store_tp_theme_css .='#footer{';
	$animal_pet_store_tp_theme_css .='background: '.esc_attr($animal_pet_store_tp_footer_bg_color_option).' !important;';
$animal_pet_store_tp_theme_css .='}';
}

// logo tagline color
$animal_pet_store_site_tagline_color = get_theme_mod('animal_pet_store_site_tagline_color');

if($animal_pet_store_site_tagline_color != false){
$animal_pet_store_tp_theme_css .='.logo h1 a, .logo p.site-title a{';
$animal_pet_store_tp_theme_css .='color: '.esc_attr($animal_pet_store_site_tagline_color).' !important;';
$animal_pet_store_tp_theme_css .='}';
}

$animal_pet_store_logo_tagline_color = get_theme_mod('animal_pet_store_logo_tagline_color');
if($animal_pet_store_logo_tagline_color != false){
$animal_pet_store_tp_theme_css .='p.site-description{';
$animal_pet_store_tp_theme_css .='color: '.esc_attr($animal_pet_store_logo_tagline_color).';';
$animal_pet_store_tp_theme_css .='}';
}

// footer widget title color
$animal_pet_store_footer_widget_title_color = get_theme_mod('animal_pet_store_footer_widget_title_color');
if($animal_pet_store_footer_widget_title_color != false){
$animal_pet_store_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$animal_pet_store_tp_theme_css .='color: '.esc_attr($animal_pet_store_footer_widget_title_color).';';
$animal_pet_store_tp_theme_css .='}';
}

// copyright text color
$animal_pet_store_footer_copyright_text_color = get_theme_mod('animal_pet_store_footer_copyright_text_color');
if($animal_pet_store_footer_copyright_text_color != false){
$animal_pet_store_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$animal_pet_store_tp_theme_css .='color: '.esc_attr($animal_pet_store_footer_copyright_text_color).'!important;';
$animal_pet_store_tp_theme_css .='}';
}

// header image title color
$animal_pet_store_header_image_title_text_color = get_theme_mod('animal_pet_store_header_image_title_text_color');
if($animal_pet_store_header_image_title_text_color != false){
$animal_pet_store_tp_theme_css .='.box-text h2{';
$animal_pet_store_tp_theme_css .='color: '.esc_attr($animal_pet_store_header_image_title_text_color).';';
$animal_pet_store_tp_theme_css .='}';
}

// menu color
$animal_pet_store_menu_color = get_theme_mod('animal_pet_store_menu_color');
if($animal_pet_store_menu_color != false){
$animal_pet_store_tp_theme_css .='.main-navigation a{';
$animal_pet_store_tp_theme_css .='color: '.esc_attr($animal_pet_store_menu_color).';';
$animal_pet_store_tp_theme_css .='}';
}


//Footer Font Weight
$animal_pet_store_footer_copyright_title_font_weight = get_theme_mod( 'animal_pet_store_footer_copyright_title_font_weight','');
if($animal_pet_store_footer_copyright_title_font_weight == '100'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 100;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '200'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 200;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '300'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 300;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '400'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 400;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '500'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 500;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '600'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 600;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '700'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 700;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '800'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 800;';
$animal_pet_store_tp_theme_css .='}';
}else if($animal_pet_store_footer_copyright_title_font_weight == '900'){
$animal_pet_store_tp_theme_css .='#footer .site-info p {';
    $animal_pet_store_tp_theme_css .='font-weight: 900;';
$animal_pet_store_tp_theme_css .='}';
}